# kjs Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KJS::ContextImp Class Reference

Execution context. More...

`#include <internal.h>`

Collaboration diagram for KJS::ContextImp:

[legend]
List of all members.

## Public Member Functions

| ContextImp (Object &glob, ExecState *exec, Object &thisV, CodeType type=GlobalCode, ContextImp *_callingContext=0L, FunctionImp *func=0L, const List &args=List())
const List | scopeChain () const
Object | variableObject () const
void | setVariableObject (const Object &v)
Object | thisValue () const
ContextImp * | callingContext ()
Object | activationObject ()
void | pushScope (const Object &s)
void | popScope ()
LabelStack * | seenLabels ()

## Detailed Description

Execution context.

Definition at line 331 of file internal.h.

The documentation for this class was generated from the following files:

- internal.h
- internal.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:08:52 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001